/* ========================================================================= Chat =============================================================== */

#chat-cont {
    position: absolute;
    width: 50px;
    right: 0px;
    top: 30px;
    height: calc(100% - 30px);
    transition: width 0.6s;
    -webkit-transition: width 0.6s;
}

#chat-cont.ouvert {
    width: 350px;
}

#chat-ongl {
    position: fixed;
    z-index: 510;
    background: #ffffff90;
    width: 50px;
    right: 0;
    top: 95px;
    box-shadow: -2px 0px 2px 0px #ddd;
    transition: right 0.6s;
    -webkit-transition: right 0.6s;
}

#chat-ongl:hover {
    background: #ffffff;
}

#chat-ongl.ouvert {
    background: #ffffff;
    right: 300px;
}

#chat-ongl button {
    outline: none;
    font-size: 160%;
    color: var(--them-fonc);
}


#chat-body {
    background-color: #fff;
    position: absolute;
    z-index: 500;
    overflow: hidden;
    white-space: nowrap;
    right: 0px;
    top: 30px;
    height: calc(100% - 30px);
    width: 0;
    overflow: hidden;
    transition: width 0.6s;
    -webkit-transition: width 0.6s;
    box-shadow: -2px 0px 2px 0px #ddd;

}

#chat-body.ouvert {
    width: 300px;
}

#chat-body .chat-body-form {
    font-size: 12px;
    background-color: #fff;
}

#chat-body .chat-body-bout {
    text-align: right;
}

#chat-body .chat-body-mess {
    margin: 0;
    overflow-y: auto;
    padding-inline-start: 2px;
}

#chat-body .chat-body-mess>li {
    list-style: none;
    position: relative;
    padding: 5px;
    font-size: 12px;
    border-radius: 5px;
}

@media (min-width: 576px) {
    #chat-ongl {
        top: 140px;
    }

    #chat-body {
        top: 45px;
        height: calc(100% - 45px);
    }
}